import logging
from logging.handlers import TimedRotatingFileHandler
import os

# 创建Logger
logger = logging.getLogger()
logger.setLevel(logging.DEBUG)

# 创建Handler

# 终端Handler
consoleHandler = logging.StreamHandler()
consoleHandler.setLevel(logging.DEBUG)

# 文件Handler
if not os.path.exists('logs'):
    os.mkdir('logs')
fileHandler = logging.handlers.TimedRotatingFileHandler('logs/log.log', when='D', encoding="utf-8")
# fileHandler = logging.FileHandler('logs/log.log', mode='w', encoding='UTF-8')
fileHandler.setLevel(logging.NOTSET)

# Formatter
formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
consoleHandler.setFormatter(formatter)
fileHandler.setFormatter(formatter)

# 添加到Logger中
logger.addHandler(consoleHandler)
logger.addHandler(fileHandler)


def initLogger():
    return logger
